diff --git a/src/backend/port/win32/security.c b/src/backend/port/win32/security.c
index e9cfe15..92dbc9a 100644
--- a/src/backend/port/win32/security.c
+++ b/src/backend/port/win32/security.c
@@ -98,7 +98,9 @@ pgwin32_is_admin(void)
  *
  * 1) We are running as Local System (only used by services)
  * 2) Our token contains SECURITY_SERVICE_RID (automatically added to the
- *	  process token by the SCM when starting a service)
+ *	  process token by the SCM when starting a service) without
+ *	  SE_GROUP_USE_FOR_DENY_ONLY enabled as this would prevent access
+ *	  to the event logs forcibly.
  *
  * Return values:
  *	 0 = Not service
@@ -190,7 +192,10 @@ pgwin32_is_service(void)
 	{
 		if (EqualSid(ServiceSid, Groups->Groups[x].Sid))
 		{
-			_is_service = 1;
+			if ((Groups->Groups[x].Attributes & SE_GROUP_USE_FOR_DENY_ONLY) != 0)
+				_is_service = 0;
+			else
+				_is_service = 1;
 			break;
 		}
 	}
